Adopt direct use of ES5 methods in core
Closed, ResolvedPublic

Description

Krinkle created this task.Mar 20 2017, 8:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2017, 8:58 PM

Change 343249 had a related patch set uploaded (by Krinkle; owner: Fomafix):
[mediawiki/core] Replace deprecated jQuery.isArray by Array.isArray

https://gerrit.wikimedia.org/r/343249

Krinkle triaged this task as Low priority.Mar 21 2017, 2:13 AM
Gilles moved this task from Inbox to Blocked on the Performance-Team board.Mar 23 2017, 9:00 PM
Krinkle updated the task description. (Show Details)Mar 25 2017, 3:41 AM

Change 344744 had a related patch set uploaded (by Krinkle):
[mediawiki/core@master] resourceloader: Use Date.now() for mw.now() instead of ' new Date'

https://gerrit.wikimedia.org/r/344744

Change 344745 had a related patch set uploaded (by Krinkle):
[mediawiki/core@master] resourceloader: Use Array#map instead of jQuery#map for arrays

https://gerrit.wikimedia.org/r/344745

Change 344746 had a related patch set uploaded (by Krinkle):
[mediawiki/core@master] resourceloader: Use Object.keys() instead of map() to get keys

https://gerrit.wikimedia.org/r/344746

Change 344745 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Use Array#map instead of jQuery#map for arrays

https://gerrit.wikimedia.org/r/344745

Change 344746 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Use Object.keys() instead of map() to get keys

https://gerrit.wikimedia.org/r/344746

Change 344744 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Use Date.now() for mw.now() instead of ' new Date'

https://gerrit.wikimedia.org/r/344744

Jdforrester-WMF updated the task description. (Show Details)

Anything left once I1f5fe19d247ec4 merges?

Change 343249 merged by jenkins-bot:
[mediawiki/core@master] Replace deprecated jQuery.isArray by Array.isArray

https://gerrit.wikimedia.org/r/343249

Krinkle moved this task from Blocked to Doing on the Performance-Team board.Apr 4 2017, 10:22 PM
Krinkle closed this task as Resolved.